VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info:

## Avaliable Methods
public method | set_pci_slot_number ()
public method | get_pci_slot_number ()
public method | get_sharing ()
public method | set_type ()
public method | set_scsi ()
public method | get_label ()
public method | set_label ()
public method | set_sharing ()
public method | new ()
public method | get_type ()
public method | get_scsi ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info` class contains information about a virtual SCSI adapter.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::get_label | ( |  | ) |

Gets the value of 'label' property.

Return values

  label | - The current value of the field. Device label. String#

Code:
click to view
# Number of lines of code in get_label: 4
sub get_label {
my ($self, %args) = @_;
return $self->{'label'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::get_pci_slot_number | ( |  | ) |

Gets the value of 'pci_slot_number' property.

Return values

  pci_slot_number | - The current value of the field. Address of the SCSI adapter on the PCI bus. If the PCI address is invalid, the server will change it when the VM is started or as the device is hot added. Optional#

Code:
click to view
# Number of lines of code in get_pci_slot_number: 4
sub get_pci_slot_number {
my ($self, %args) = @_;
return $self->{'pci_slot_number'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::get_scsi | ( |  | ) |

Gets the value of 'scsi' property.

Return values

  scsi | - The current value of the field. Address of the SCSI adapter on the SCSI bus. ScsiAddressInfo#

Code:
click to view
# Number of lines of code in get_scsi: 4
sub get_scsi {
my ($self, %args) = @_;
return $self->{'scsi'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::get_sharing | ( |  | ) |

Gets the value of 'sharing' property.

Return values

  sharing | - The current value of the field. Bus sharing mode. Sharing#

Code:
click to view
# Number of lines of code in get_sharing: 4
sub get_sharing {
my ($self, %args) = @_;
return $self->{'sharing'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Adapter type. Type#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 24
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{label} = $args{'label'};
$self->{type} = $args{'type'};
$self->{scsi} = $args{'scsi'};
$self->{pci_slot_number} = $args{'pci_slot_number'};
$self->{sharing} = $args{'sharing'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.adapter.scsi.info');
$self->set_binding_field('key' => 'label', 'value' => new Com::Vmware::Vapi::Bindings::Type::StringType());
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware::Adapter', 'type_name' => 'Scsi::Type'));
$self->set_binding_field('key' => 'scsi', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'ScsiAddressInfo'));
$self->set_binding_field('key' => 'pci_slot_number', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'sharing', 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware::Adapter', 'type_name' => 'Scsi::Sharing'));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::set_label | ( |  | ) |

Sets the given value for 'label' property.

Parameters

  label | - New value for the field. Device label.

Code:
click to view
# Number of lines of code in set_label: 5
sub set_label {
my ($self, %args) = @_;
$self->{'label'} = $args{'label'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::set_pci_slot_number | ( |  | ) |

Sets the given value for 'pci_slot_number' property.

Parameters

  pci_slot_number | - New value for the field. Address of the SCSI adapter on the PCI bus. If the PCI address is invalid, the server will change it when the VM is started or as the device is hot added.

Code:
click to view
# Number of lines of code in set_pci_slot_number: 5
sub set_pci_slot_number {
my ($self, %args) = @_;
$self->{'pci_slot_number'} = $args{'pci_slot_number'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::set_scsi | ( |  | ) |

Sets the given value for 'scsi' property.

Parameters

  scsi | - New value for the field. Address of the SCSI adapter on the SCSI bus.

Code:
click to view
# Number of lines of code in set_scsi: 5
sub set_scsi {
my ($self, %args) = @_;
$self->{'scsi'} = $args{'scsi'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::set_sharing | ( |  | ) |

Sets the given value for 'sharing' property.

Parameters

  sharing | - New value for the field. Bus sharing mode.

Code:
click to view
# Number of lines of code in set_sharing: 5
sub set_sharing {
my ($self, %args) = @_;
$self->{'sharing'} = $args{'sharing'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Adapter::Scsi::Info::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Adapter type.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Adapter/Scsi.pm